Skip to main content
Agent Insight Monitors

Create an Agent Insights monitor for an agent

POST
/agent_insight_monitors
Query Parameters
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
AgentInsights=V1Preview
Request BodyThe monitor to create.Content-Type: application/json
agent_namestringrequired
The agent this monitor should analyze.
enabledboolean
Whether scheduled insight generation should be armed. Defaults to false.
run_interval_hoursnumber
Interval between scheduled insight runs, in hours. Defaults to 6.
model_deployment_namestringrequired
The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.
Responses
idstringrequired
The monitor identifier.
agent_namestringrequired
The agent this monitor analyzes. There can be only one monitor per agent.
enabledbooleanrequired
Whether scheduled insight generation is armed for the monitor.
run_interval_hoursnumberrequired
Interval between scheduled insight runs, in hours.
model_deployment_namestringrequired
The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.
next_scheduled_run_atinteger
estimated_costAgentInsightEstimatedCost
Estimated Agent Insights cost.
amountnumberrequired
Estimated cost amount.
currencyenumrequired
Currency for the estimated cost amount. Agent Insights estimates are reported in US dollars.
USD
suspensionAgentInsightSuspension | nullrequired
Why the system suspended scheduled generation. Null when the monitor is not suspended.
One of the following:
AgentInsightSuspension
Structured reason why scheduled generation is suspended for a monitor.
null
overviewAgentInsightsOverview | nullrequired
The effective overview, or null before an overview is available.
One of the following:
AgentInsightsOverview
The effective overview for an Agent Insights monitor.
null
updated_atintegerrequired